<?php
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";

if (!defined("IN_FUSION")) { die("Access Denied"); }
if (file_exists(INFUSIONS."concert_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."concert_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."concert_panel/locale/English.php";
}

if (!checkRights("PH") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

function sprawdz($dane) {
	$dane = trim($dane); 
	if (get_magic_quotes_gpc()) $dane = stripslashes($dane); 
	return htmlspecialchars($dane, ENT_QUOTES); 
}
 
if (isset($_POST['submit'])) {
 
	$wykonawca = sprawdz($_POST['Wykonawca']);
	$miasto = sprawdz($_POST['Miasto']);
	$klub = sprawdz($_POST['Klub']);
 
	$wykonany = array(
	"mday" => isNum($_POST['data']['mday']) ? $_POST['data']['mday'] : "--",
	"mon" => isNum($_POST['data']['mon']) ? $_POST['data']['mon'] : "--",
	"year" => isNum($_POST['data']['year']) ? $_POST['data']['year'] : "----",
	"hours" => isNum($_POST['data']['hours']) ? $_POST['data']['hours'] : "0",
	"minutes" => isNum($_POST['data']['minutes']) ? $_POST['data']['minutes'] : "0",
	);
      
      
	if ($_POST['data']['mday']!="--" && $_POST['data']['mon']!="--" && $_POST['data']['year']!="----") {
		$wykonany = mktime($_POST['data']['hours'],$_POST['data']['minutes'],0,$_POST['data']['mon'],$_POST['data']['mday'],$_POST['data']['year']);
	} 
	$result = dbquery("INSERT INTO ".$db_prefix."concert (miasto, klub, wykonawca, data) VALUES ('$miasto', '$klub', '$wykonawca', '$wykonany')");
	if ($result) {
		opentable($locale['CC100']." - ".$locale['CC100_1']);
		echo $locale['CC103']."<br>";
		closetable();
	} 
}
opentable($locale['CC100']." - ".$locale['CC100_2']);
	echo "<form name='userform' method='post'>\n";
	echo "<table align='center' cellpadding='0' cellspacing='0' class='tbl'>\n";
	echo "<tr>\n<td width='100'>".$locale['CC104'].":</td>\n";
	echo "<td><select name='data[mday]' class='textbox'>\n<option>--</option>\n";
	for ($i=1;$i<=31;$i++) echo "<option".(isset($wykonany['mday']) && $wykonany['mday'] == $i ? " selected" : "").">$i</option>\n";
	echo "</select><select name='data[mon]' class='textbox'>\n<option>--</option>\n";
	for ($i=1;$i<=12;$i++) echo "<option".(isset($wykonany['mon']) && $wykonany['mon'] == $i ? " selected" : "").">$i</option>\n";
	echo "</select><select name='data[year]' class='textbox'>\n<option>----</option>\n";
	for ($i=1970;$i<=2010;$i++) echo "<option".(isset($wykonany['year']) && $wykonany['year'] == $i ? " selected" : "").">$i</option>\n";
	echo "</select> / <select name='data[hours]' class='textbox'>\n";
	for ($i=0;$i<=24;$i++) echo "<option".(isset($wykonany['hours']) && $wykonany['hours'] == $i ? " selected" : "").">$i</option>\n";
	echo "</select> : <select name='data[minutes]' class='textbox'>\n";
	for ($i=0;$i<=60;$i++) echo "<option".(isset($wykonany['minutes']) && $wykonany['minutes'] == $i ? " selected" : "").">$i</option>\n";
	echo "</select></td></tr>\n";
	echo "<tr>\n<td width='100'>".$locale['CC105'].":</td>\n";
	echo "<td>\n<input type='text' name='".$locale['CC105']."' maxlength='100' class='textbox' style='width: 200px;'>\n</td>\n</tr>\n";
	echo "<tr>\n<td width='100'>".$locale['CC106'].":</td>\n";
	echo "<td>\n<input type='text' name='".$locale['CC106']."' maxlength='100' class='textbox' style='width: 200px;'>\n</td>\n</tr>\n";
	echo "<tr>\n<td width='100'>".$locale['CC107'].":</td>\n";
	echo "<td>\n<input type='text' name='".$locale['CC107']."' maxlength='100' class='textbox' style='width: 200px;'>\n</td>\n</tr>\n";
	echo "<tr>\n<td align='center' colspan='2'>\n";
	echo "<input type='submit' name='submit' value='".$locale['CC108']."' class='button'>\n";
	echo "<input type='reset' value='".$locale['CC109']."' class='button'>\n";
	echo "</td></tr></table></form>";
closetable();
require_once THEMES."templates/footer.php";
?>